#######################################################
# 
# Group.py
# Python implementation of the Class Group
# Generated by Enterprise Architect
# Created on:      27-Dec-2022 8:37:00 AM
# Original author: giu.platania
# Status: DRAFT
#######################################################
from .Root import Root
from sqlalchemy import Column, Integer, String
from sqlalchemy.ext.declarative import declarative_base

class Group(Root):
    __tablename__ = 'groups'

    id = Column(Integer, primary_key=True)
    name = Column(String)
    uid = Column(Integer)
    group_permissions = Column(String)
    system_user = Column(String)

    def __init__(self, name, permissions):
        self.name = name
        self.permissions = permissions
        
    def __repr__(self):
        return f'<Group(name={self.name}, permissions={self.permissions})>'
    
    def get_name(self):
        return self.name

    def set_name(self, name):
        self.name = name
        
    def get_uid(self):
        return self.uid

    def set_uid(self, uid):
        self.uid = uid
        
    def get_group_permissions(self):
        return self.group_permissions

    def set_group_permissions(self, group_permissions):
        self.group_permissions = group_permissions
        
    def get_system_user(self):
        return self.system_user

    def set_system_user(self, system_user):
        self.system_user = system_user